%define module	Mail-SPF-Query
%define name	perl-%{module}
%define version 1.999.1
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Query Sender Policy Framework for an IP,email,helo 
License:	GPL or Artistic
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Mail/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Net::CIDR::Lite)
BuildRequires:	perl(Net::DNS)
BuildRequires:  perl(URI)
BuildRequires:  perl(Sys::Hostname::Long)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The SPF protocol relies on sender domains to describe their designated outbound
mailers in DNS. Given an email address, Mail::SPF::Query determines the
legitimacy of an SMTP client IP.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/Mail
%{_mandir}/*/*
%{_bindir}/*




%changelog
* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.999.1-3mdv2008.0
+ Revision: 64786
- rebuild


* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.999.1-2mdv2007.0
+ Revision: 134314
- rebuild
- Import perl-Mail-SPF-Query

* Wed Mar 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.999.1-1mdk
- New release 1.999.1

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.998-2mdk
- fix buildrequires

* Tue Jan 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.998-1mdk
- New release 1.998
- fix sources URL

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.997-3mdk
- fix buildrequires

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.997-2mdk
- fix buildrequires in a backward compatible way

* Sun Nov 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.997-1mdk 
- first mdk release

